## DAAPRecord DAAPRecord |

## Functions

gboolean | daap_record_itunes_compat ()
GInputStream * | daap_record_read ()
gint | daap_record_cmp_by_album ()

## Properties

gint | bitrate | Read / Write
gint | disc | Read / Write
gint | duration | Read / Write
guint64 | filesize | Read / Write
gint | firstseen | Read / Write
gchar * | format | Read / Write
gboolean | has-video | Read / Write
gpointer | hash | Read / Write
gchar * | location | Read / Write
DMAPMediaKind | mediakind | Read / Write
gint | mtime | Read / Write
gint | rating | Read / Write
gchar * | songalbum | Read / Write
gint64 | songalbumid | Read / Write
gchar * | songartist | Read / Write
gchar * | songgenre | Read / Write
gchar * | sort-album | Read / Write
gchar * | sort-artist | Read / Write
gchar * | title | Read / Write
gint | track | Read / Write
gint | year | Read / Write

## Object Hierarchy

        GInterface
        ╰── DAAPRecord

## Description

## Functions

### daap_record_itunes_compat ()

    gboolean
    daap_record_itunes_compat (DAAPRecord *record);

#### Parameters

record | A DAAPRecord. |

#### Returns

TRUE if record is compatible with iTunes, else FALSE.

### daap_record_read ()

    GInputStream *
    daap_record_read (DAAPRecord *record,
                      GError **err);

#### Parameters

record | a DAAPRecord. |
err | a GError. |

#### Returns

A GInputStream that provides read-only access to the data stream associated with record.

### daap_record_cmp_by_album ()

    gint
    daap_record_cmp_by_album (gpointer a,
                              gpointer b,
                              DMAPDb *db);

Compares the two records associated with the provided keys according to album. Suitable to sort lists of albums.

#### Parameters

a | first ID. |
b | second ID. |
db | A DMAPDb for which a and b are valid ID's. |

## Types and Values

## Property Details

### The `“bitrate”` property

      “bitrate”                  gint

Song data bitrate in Kb/s.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“disc”` property

      “disc”                     gint

Song disc number.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“duration”` property

      “duration”                 gint

Song duration in seconds.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“filesize”` property

      “filesize”                 guint64

Song data size in bytes.

Flags: Read / Write

Allowed values: <= 2147483647

Default value: 0

### The `“firstseen”` property

      “firstseen”                gint

FIXME.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“format”` property

      “format”                   gchar *

Song data format.

Flags: Read / Write

Default value: "Unknown"

### The `“has-video”` property

      “has-video”                gboolean

Song has video component.

Flags: Read / Write

Default value: FALSE

### The `“hash”` property

      “hash”                     gpointer

Hash of media file contents.

Flags: Read / Write

### The `“location”` property

      “location”                 gchar *

URI pointing to song data.

Flags: Read / Write

Default value: NULL

### The `“mediakind”` property

      “mediakind”                DMAPMediaKind

Media kind.

Flags: Read / Write

Default value: DMAP_MEDIA_KIND_MUSIC

### The `“mtime”` property

      “mtime”                    gint

Song modification time.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rating”` property

      “rating”                   gint

Song rating.

Flags: Read / Write

Allowed values: [0,5]

Default value: 0

### The `“songalbum”` property

      “songalbum”                gchar *

Album name.

Flags: Read / Write

Default value: "Unknown"

### The `“songalbumid”` property

      “songalbumid”              gint64

Album id.

Flags: Read / Write

Default value: 0

### The `“songartist”` property

      “songartist”               gchar *

Song artist.

Flags: Read / Write

Default value: "Unknown"

### The `“songgenre”` property

      “songgenre”                gchar *

Song genre.

Flags: Read / Write

Default value: "Unknown"

### The `“sort-album”` property

      “sort-album”               gchar *

Album sort name.

Flags: Read / Write

Default value: "Unknown"

### The `“sort-artist”` property

      “sort-artist”              gchar *

Song artist sort name.

Flags: Read / Write

Default value: "Unknown"

### The `“title”` property

      “title”                    gchar *

Song title.

Flags: Read / Write

Default value: "Unknown"

### The `“track”` property

      “track”                    gint

Song track number.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“year”` property

      “year”                     gint

Song publication year.

Flags: Read / Write

Allowed values: >= 0

Default value: 0